# Event Scope Configuration (Core)

Endpoints to create, update and read event scope configurations.

## Create event scope config

> This part of the API is in Alpha status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Create a new event scope configuration for inventory article availability changed events.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read event scope configurations.","name":"Event Scope Configuration (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"InventoryArticleAvailabilityChangedEventScopeForCreation":{"properties":{"facilityGroupRefs":{"description":"Facility group references whose members are included in this scope. Omit or null for a global scope including all facilities.","items":{"type":"string"},"maxItems":5,"nullable":true,"type":"array"},"facilityRefs":{"description":"Direct facility references to include in this scope. Omit or null for a global scope including all facilities.","items":{"type":"string"},"maxItems":50,"nullable":true,"type":"array"},"key":{"description":"Unique key identifying this scope. Used to derive the URN.","maxLength":128,"type":"string"},"status":{"default":"ACTIVE","description":"A scope config can be set to inactive instead of being deleted to temporarily disable emission. The maximum limit of 10 applies to both active and inactive scope configs.","enum":["ACTIVE","INACTIVE"],"type":"string"}},"required":["key"],"title":"InventoryArticleAvailabilityChangedEventScopeForCreation","type":"object","description":"InventoryArticleAvailabilityChangedEventScopeForCreation"},"InventoryArticleAvailabilityChangedEventScope":{"properties":{"created":{"format":"date-time","type":"string"},"facilityGroupRefs":{"items":{"type":"string"},"type":"array"},"facilityRefs":{"items":{"type":"string"},"type":"array"},"id":{"type":"string"},"key":{"type":"string"},"lastModified":{"format":"date-time","type":"string"},"status":{"enum":["ACTIVE","INACTIVE"],"type":"string"},"version":{"type":"number"}},"required":["id","key","status","version","created","lastModified"],"title":"InventoryArticleAvailabilityChangedEventScope","type":"object","description":"InventoryArticleAvailabilityChangedEventScope"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/eventscopes/inventoryarticleavailabilitychanged":{"post":{"deprecated":false,"description":"This part of the API is in Alpha status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Create a new event scope configuration for inventory article availability changed events.","operationId":"createEventScopeConfig","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryArticleAvailabilityChangedEventScopeForCreation"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryArticleAvailabilityChangedEventScope"}}},"description":"The created event scope configuration."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"}},"summary":"Create event scope config","tags":["Event Scope Configuration (Core)"]}}}}
```

## Get event scope config

> This part of the API is in Alpha status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Get an event scope configuration by ID or URN.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read event scope configurations.","name":"Event Scope Configuration (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"InventoryArticleAvailabilityChangedEventScope":{"properties":{"created":{"format":"date-time","type":"string"},"facilityGroupRefs":{"items":{"type":"string"},"type":"array"},"facilityRefs":{"items":{"type":"string"},"type":"array"},"id":{"type":"string"},"key":{"type":"string"},"lastModified":{"format":"date-time","type":"string"},"status":{"enum":["ACTIVE","INACTIVE"],"type":"string"},"version":{"type":"number"}},"required":["id","key","status","version","created","lastModified"],"title":"InventoryArticleAvailabilityChangedEventScope","type":"object","description":"InventoryArticleAvailabilityChangedEventScope"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/eventscopes/inventoryarticleavailabilitychanged/{id}":{"get":{"deprecated":false,"description":"This part of the API is in Alpha status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Get an event scope configuration by ID or URN.","operationId":"getEventScopeConfig","parameters":[{"description":"ID of scope you want to get. Also accepts key in urn format (e.g., urn:fft:eventScopeConfig:key:{your-key}).","in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryArticleAvailabilityChangedEventScope"}}},"description":"The event scope configuration."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Get event scope config","tags":["Event Scope Configuration (Core)"]}}}}
```

## Replace event scope config

> This part of the API is in Alpha status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Replace an existing event scope configuration.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read event scope configurations.","name":"Event Scope Configuration (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"InventoryArticleAvailabilityChangedEventScopeForReplace":{"properties":{"facilityGroupRefs":{"description":"Facility group references whose members are included in this scope. Omit or null for a global scope including all facilities.","items":{"type":"string"},"maxItems":5,"nullable":true,"type":"array"},"facilityRefs":{"description":"Direct facility references to include in this scope. Omit or null for a global scope including all facilities.","items":{"type":"string"},"maxItems":50,"nullable":true,"type":"array"},"status":{"description":"A scope config can be set to inactive instead of being deleted to temporarily disable emission. The maximum limit of 10 applies to both active and inactive scope configs.","enum":["ACTIVE","INACTIVE"],"type":"string"},"version":{"description":"Version for optimistic locking.","type":"number"}},"required":["version"],"title":"InventoryArticleAvailabilityChangedEventScopeForReplace","type":"object","description":"InventoryArticleAvailabilityChangedEventScopeForReplace"},"InventoryArticleAvailabilityChangedEventScope":{"properties":{"created":{"format":"date-time","type":"string"},"facilityGroupRefs":{"items":{"type":"string"},"type":"array"},"facilityRefs":{"items":{"type":"string"},"type":"array"},"id":{"type":"string"},"key":{"type":"string"},"lastModified":{"format":"date-time","type":"string"},"status":{"enum":["ACTIVE","INACTIVE"],"type":"string"},"version":{"type":"number"}},"required":["id","key","status","version","created","lastModified"],"title":"InventoryArticleAvailabilityChangedEventScope","type":"object","description":"InventoryArticleAvailabilityChangedEventScope"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/eventscopes/inventoryarticleavailabilitychanged/{id}":{"put":{"deprecated":false,"description":"This part of the API is in Alpha status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Replace an existing event scope configuration.","operationId":"replaceEventScopeConfig","parameters":[{"description":"ID of scope you want to get. Also accepts key in urn format (e.g., urn:fft:eventScopeConfig:key:{your-key}).","in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryArticleAvailabilityChangedEventScopeForReplace"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryArticleAvailabilityChangedEventScope"}}},"description":"The updated event scope configuration."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"},"409":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"A version conflict occurred."}},"summary":"Replace event scope config","tags":["Event Scope Configuration (Core)"]}}}}
```

## Delete event scope config

> This part of the API is in Alpha status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Delete an event scope configuration by ID or URN.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read event scope configurations.","name":"Event Scope Configuration (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"InventoryArticleAvailabilityChangedEventScope":{"properties":{"created":{"format":"date-time","type":"string"},"facilityGroupRefs":{"items":{"type":"string"},"type":"array"},"facilityRefs":{"items":{"type":"string"},"type":"array"},"id":{"type":"string"},"key":{"type":"string"},"lastModified":{"format":"date-time","type":"string"},"status":{"enum":["ACTIVE","INACTIVE"],"type":"string"},"version":{"type":"number"}},"required":["id","key","status","version","created","lastModified"],"title":"InventoryArticleAvailabilityChangedEventScope","type":"object","description":"InventoryArticleAvailabilityChangedEventScope"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/eventscopes/inventoryarticleavailabilitychanged/{id}":{"delete":{"deprecated":false,"description":"This part of the API is in Alpha status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Delete an event scope configuration by ID or URN.","operationId":"deleteEventScopeConfig","parameters":[{"description":"ID of scope you want to get. Also accepts key in urn format (e.g., urn:fft:eventScopeConfig:key:{your-key}).","in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryArticleAvailabilityChangedEventScope"}}},"description":"The event scope configuration was deleted."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Delete event scope config","tags":["Event Scope Configuration (Core)"]}}}}
```

## List event scope configs (search)

> This part of the API is in Alpha status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />Search for ScopedAvailabilityConfig

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update, and read event scope configurations.","name":"Event Scope Configuration (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ScopedAvailabilityConfigSearchPayload":{"properties":{"after":{"deprecated":false,"description":"The cursor to start after for forward pagination. The value is provided in the `pageInfo.endCursor` field of the response. Cannot be used with `before` or `last`.","type":"string"},"before":{"description":"The cursor to start before for backward pagination. The value is provided in the `pageInfo.startCursor` field of the response. Cannot be used with `after` or `size` (first).","type":"string"},"last":{"description":"Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.","maximum":250,"minimum":1,"type":"number"},"options":{"$ref":"#/components/schemas/SearchOptions"},"query":{"$ref":"#/components/schemas/ScopedAvailabilityConfigSearchQuery"},"size":{"description":"Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.","maximum":250,"minimum":1,"type":"number"},"sort":{"description":"Use for sorting the result.","items":{"$ref":"#/components/schemas/ScopedAvailabilityConfigSort"},"maxItems":1,"minItems":1,"type":"array"},"startAfterId":{"deprecated":true,"description":"The ID to start after. Deprecated, use `after` with the value provided in `pageInfo.endCursor` instead.","type":"string"}},"required":["query"],"title":"ScopedAvailabilityConfigSearchPayload","type":"object","description":"ScopedAvailabilityConfigSearchPayload"},"SearchOptions":{"properties":{"withTotal":{"description":"Set to true to include the total count of items in the search result.","type":"boolean"}},"title":"SearchOptions","type":"object","description":"SearchOptions"},"ScopedAvailabilityConfigSearchQuery":{"properties":{"and":{"items":{"$ref":"#/components/schemas/ScopedAvailabilityConfigSearchQuery"},"maxItems":500,"type":"array"},"facilityGroupRefs":{"allOf":[{"$ref":"#/components/schemas/StringListFilter"}],"description":"Search by facilityGroupRefs"},"facilityRefs":{"allOf":[{"$ref":"#/components/schemas/StringListFilter"}],"description":"Search by facilityRefs"},"id":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by id"},"key":{"allOf":[{"$ref":"#/components/schemas/StringSearchFilter"}],"description":"Search by key"},"or":{"items":{"$ref":"#/components/schemas/ScopedAvailabilityConfigSearchQuery"},"maxItems":500,"type":"array"},"status":{"allOf":[{"$ref":"#/components/schemas/ScopedAvailabilityConfigEventScopeConfigStatusEnumFilter"}],"description":"Search by status"}},"title":"ScopedAvailabilityConfigSearchQuery","type":"object","description":"ScopedAvailabilityConfigSearchQuery"},"StringListFilter":{"properties":{"contains":{"$ref":"#/components/schemas/StringEqFilter"}},"title":"StringListFilter","type":"object","description":"StringListFilter"},"StringEqFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"notEq":{"maxLength":256,"type":"string"}},"title":"StringEqFilter","type":"object","description":"StringEqFilter"},"StringFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"in":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"},"notEq":{"maxLength":256,"type":"string"},"notIn":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"}},"title":"StringFilter","type":"object","description":"StringFilter"},"StringSearchFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"in":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"},"like":{"description":"Search by regex pattern","maxLength":256,"type":"string"},"notEq":{"maxLength":256,"type":"string"},"notIn":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"}},"title":"StringSearchFilter","type":"object","description":"StringSearchFilter"},"ScopedAvailabilityConfigEventScopeConfigStatusEnumFilter":{"properties":{"eq":{"description":"Search by status","enum":["ACTIVE","INACTIVE"],"type":"string"},"in":{"description":"Search by status","items":{"enum":["ACTIVE","INACTIVE"],"type":"string"},"maxItems":500,"type":"array"},"notEq":{"description":"Search by status","enum":["ACTIVE","INACTIVE"],"type":"string"}},"title":"ScopedAvailabilityConfigEventScopeConfigStatusEnumFilter","type":"object","description":"ScopedAvailabilityConfigEventScopeConfigStatusEnumFilter"},"ScopedAvailabilityConfigSort":{"properties":{"id":{"enum":["ASC","DESC"],"type":"string"},"key":{"enum":["ASC","DESC"],"type":"string"}},"title":"ScopedAvailabilityConfigSort","type":"object","description":"ScopedAvailabilityConfigSort"},"ScopedAvailabilityConfigPaginatedResult":{"properties":{"pageInfo":{"allOf":[{"$ref":"#/components/schemas/PageInfo"}],"description":"Pagination information for the search result."},"scopedAvailabilityConfigs":{"items":{"$ref":"#/components/schemas/InventoryArticleAvailabilityChangedEventScope"},"type":"array"},"total":{"description":"The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.","minimum":0,"type":"number"}},"required":["pageInfo","scopedAvailabilityConfigs"],"title":"ScopedAvailabilityConfigPaginatedResult","type":"object","description":"ScopedAvailabilityConfigPaginatedResult"},"PageInfo":{"properties":{"endCursor":{"description":"The cursor to use to fetch the next page of items. Use with parameter `after`.","type":"string"},"hasNextPage":{"description":"If true, there are more items after the current page.","type":"boolean"},"hasPreviousPage":{"description":"If true, there are more items before the current page.","type":"boolean"},"startCursor":{"description":"The cursor to use to fetch the previous page of items.","type":"string"}},"required":["hasNextPage","hasPreviousPage","startCursor","endCursor"],"title":"PageInfo","type":"object","description":"PageInfo"},"InventoryArticleAvailabilityChangedEventScope":{"properties":{"created":{"format":"date-time","type":"string"},"facilityGroupRefs":{"items":{"type":"string"},"type":"array"},"facilityRefs":{"items":{"type":"string"},"type":"array"},"id":{"type":"string"},"key":{"type":"string"},"lastModified":{"format":"date-time","type":"string"},"status":{"enum":["ACTIVE","INACTIVE"],"type":"string"},"version":{"type":"number"}},"required":["id","key","status","version","created","lastModified"],"title":"InventoryArticleAvailabilityChangedEventScope","type":"object","description":"InventoryArticleAvailabilityChangedEventScope"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/eventscopes/inventoryarticleavailabilitychanged/search":{"post":{"deprecated":false,"description":"This part of the API is in Alpha status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#alpha\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />Search for ScopedAvailabilityConfig","operationId":"searchScopedAvailabilityConfig","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScopedAvailabilityConfigSearchPayload"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScopedAvailabilityConfigPaginatedResult"}}},"description":"Your search result"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"}},"summary":"List event scope configs (search)","tags":["Event Scope Configuration (Core)"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/event-scope-configuration-core.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
